Skip to content

Black Friday:

60% off

Cliedesk Pro

Every plan, every site count. Ends Cyber Monday.

00 days 00 hrs 00 min 00 sec
Claim 60% off

REST API v1

Organizations

Base URL https://your-site.com/wp-json/cliedesk-api/v1. See the overview for keys, scopes and errors.

List organizations

GET /organizations

Scope organizations:read · Cost 2

Parameters

NameTypeDescription
limit query · integer
cursor query · string
sort query · string
fields query · string
expand query · string
filter query · object filter[field][op]=value. Fields: name, parent_id.

Create an organization

POST /organizations

Scope organizations:write · Cost 2

Parameters

NameTypeDescription
Idempotency-Key header · string

Request body (JSON)

NameTypeDescription
name required string
parent_id string
default_team_id string
owner_id integer
propagate_tags boolean
portal_access object
domains array of string

Get an organization

GET /organizations/{id}

Scope organizations:read · Cost 1

Parameters

NameTypeDescription
id required path · string

Change an organization

PATCH /organizations/{id}

Scope organizations:write · Cost 2

Parameters

NameTypeDescription
id required path · string
Idempotency-Key header · string

Request body (JSON)

NameTypeDescription
name string
parent_id string
default_team_id string
owner_id integer
propagate_tags boolean
portal_access object
domains array of string

Delete an organization (contacts are kept)

DELETE /organizations/{id}

Scope organizations:write · Cost 2

Parameters

NameTypeDescription
id required path · string
Idempotency-Key header · string

Add a member

POST /organizations/{id}/members

Scope organizations:write · Cost 2

Parameters

NameTypeDescription
id required path · string
Idempotency-Key header · string

Request body (JSON)

NameTypeDescription
contact_id required string
primary boolean
role string
can_reply boolean

Remove a member

DELETE /organizations/{id}/members/{contact_id}

Scope organizations:write · Cost 2

Parameters

NameTypeDescription
id required path · string
contact_id required path · string
Idempotency-Key header · string